Bug 40840 - Directory node entry "WORKBOOK" instead of "Workbook"
Summary: Directory node entry "WORKBOOK" instead of "Workbook"
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.5-FINAL
Hardware: All Windows XP
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-29 04:19 UTC by Steffen
Modified: 2006-11-30 08:17 UTC (History)
0 users



Attachments
An example with "WORKBOOK" in upper captial. (63.00 KB, application/octet-stream)
2006-10-31 04:32 UTC, Steffen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen 2006-10-29 04:19:44 UTC
Some XLS file (e.g. the ones created by Borlands Crystal tool) do contain all
upper case directory node entries, e.g. "WORKBOOK" instead of "Workbook". These
files can't be read with POI. It would make sense to allow for both forms.
Comment 1 Nick Burch 2006-10-31 04:01:04 UTC
It's not impossible that this change could be made

Could you please upload one of these files, so we'll have something to test
against if we do go ahead with the change?
Comment 2 Steffen 2006-10-31 04:32:58 UTC
Created attachment 19058 [details]
An example with "WORKBOOK" in upper captial.

This is an example of a XLS file which can not be read with POI due to the
upper / lower case issue described in the bug report.
Comment 3 Nick Burch 2006-11-30 08:17:12 UTC
I've committed a patch to HSSFWorkbook, which allows it to open both files
containing Workbook, and also WORKBOOK

If you do a svn checkout, or get tomorrow's nightly build, hopefully your
problem excel files will now be openable.